create or replace view OOBJ_NFSE_ENVIO as 

select

     -- GN01
	null            as nfse_id,  -- Identificador do Lote
	null            as numeroLote,  -- Número do lote informadopelo prestador
	null            as cpfCnpjPrestador,  -- Número do CPF ou CNPJ do prestador do serviço
	null            as inscricaoMunicipalRemetenteLote,  -- Número da inscrição municipal do prestador do serviço
	null            as quantidadeRps,  -- Quantidade de RPS do Lote
	null            as versaoTXT,  -- Versão do Layout (Ex.: 5.00)

	 -- GN02
	null            as codCidade,
	null            as razaoSocialRemetente,
	null            as dtInicio,
	null            as dtFim,
	null            as vTotalServicos,
	null            as vTotalDeducoes,

	 -- GN03
	null            as token,  -- Alguns municípios solicitam um token para fazer a autenticação no sistema, deve ser enviado no respectivo campo.
	null            as usuario,  -- Alguns sistemas solicitam usuário e senha para fazer login no sistema, devem ser enviados nos respectivos campos.
	null            as senha,  -- 
	null            as usarSenhaCriptografada,  -- Caso o campo “Senha” seja enviado criptografado.

	 -- GN04
	null            as operacaoAut,  -- Operação que o WS vai executar (Utilizado apenas na GIAP que utiliza este modelo de TXT)

	 -- GN10
	null            as idRps,  -- Identificador do RPS
	null            as numeroRps,  -- Número do RPS
	null            as serieRps,  -- Série do RPS
	null            as tiposRps,  -- Tipos do RPS. Valores aceitos = {1, 2, 3}
	null            as dataEmissao,  -- Data de emissão do RPS
	null            as status,  -- Status do RPS. Valores aceitos = {1, 2}
	null            as situacaoRps,

	 -- GN11
	null            as seriePrestacao,  -- Número de Série da Prestação
	null            as tipoRecolhimento,  -- Tipo de Recolhimento
	null            as motCancelamento,  -- Motivo de Cancelamento

	 -- GN12
	null            as numRpsSubstituido,  -- Número do RPS Substituído
	null            as serieRpsSubstituido,  -- Série do RPS Substituído
	null            as tipoRpsSubstituido,  -- Tipo do RPS Substituído. Valores aceitos = {1, 2, 3}
	null            as numNfseSubstituido,  -- Número da NFSe Substituída
	null            as dataEmissaoNfseSubstituida,  -- Data de Emissão da NFSe Substituída

	 -- GN13
	null            as numeroNFD,
	null            as serieDocumento,

	 -- GN14
	null            as cfps,
	null            as numeroAEDF,
	null            as identificacao,
	null            as cst,

	 -- GN20
	null            as dataCompetencia,  -- Data da competência do serviço
	null            as regEspecialTrib,  -- Identificação do regime especial de tributação. Valores aceitos = {1, 2, 3, 4, 5, 6}
	null            as optanteSN,  -- Informação se optante pelo Simples Nacional (S/N) 1 – Sim; 2 – Não.
	null            as incentivoFiscal,  -- Informação se o prestador é incentivador fiscal 1 – Sim; 2 – Não.

	 -- GN21
	null            as issRetido,  -- ISS é retido na fonte 1 – Sim; 2 – Não.
	null            as respRetencao,  -- Informado somente se IssRetido igual a “1 – Sim” A opção “2 – Intermediário” somente poderá ser selecionada se “CpfCnpjIntermediario” informado. 1 – Tomador; 2 – Intermediário.
	null            as itemListaServico,  -- Subitemdo serviço prestado conforme LC 116/2003
	null            as codCnae,  -- CNAE
	null            as codTribMun,  -- Código do serviço prestado próprio do município
	null            as codIbgeMunicipioPrestacao,  -- Código do município onde o serviço foi prestado (Tabela do IBGE). Utilizar “CodigoIbgeMunicipoPrestacao“ no Grupo GN 64, não descrever no GN21
	null            as codPais,  -- Código do país onde o serviço foi prestado (Tabela de país do IBGE). Preencher somente se MunicipioPrestacaoServico igual 9999999 

	 -- GN22
	null            as natOpExigibilidadeISS, -- Exigibilidades possíveis
											  -- 1 – Exigível;
											  -- 2 – Não incidência;
											  -- 3 – Isenção;
											  -- 4 – Exportação;
											  -- 5 – Imunidade;
											  -- 6 – Exigibilidade Suspensa por Decisão Judicial;
											  -- 7 – Exigibilidade Suspensa por Processo Administrativo.
	null            as municipioIncidencia,  -- Código do município de incidência (Tabela do IBGE)
	null            as numeroProcesso,  -- Número do processo judicial ou administrativo de suspensão da exigibilidade. Obrigatório e informado somente quando declarada a suspensão da exigibilidade do tributo
	null            as operacao,
	null            as tributacao,

	 -- GN23
	null            as desNatOpExigibilidadeISS,

	 -- GN24
	null            as descricaoItemServico,

	 -- GN25
	null            as descricaoCnae,

	 -- GN30
	null            as discriminacaoAbrasf,  -- Discriminação dos serviços

	 -- GN31
	null            as discriminacaoServico,  -- Discriminação dos serviços
	null            as quantidade,  -- Quantidade do Serviço
	null            as valorUnitario,  -- Valor Unitário do Serviço
	null            as valorTotal,  -- Valor Total do Serviço
	null            as tributavel,  -- Valor Tributável do Serviço
	null            as codAtividade,  -- Código da Atividade do Serviço
	null            as aliquotaDadosRps,  -- Alíquota do Serviço
	null            as impostoRetido,  -- Imposto Retido do Serviço
	null            as unidade,  -- Unidade deMedida do Serviço
	null            as desconto,  -- Valor do Desconto do Serviço

	 -- GN32
	null            as codMunicipioPrestacaoServico,
	null            as nomeMunicipioPrestacaoServico,
	null            as situacaoTributariaServico,
	null            as deducaoServico,
	null            as valorISSServico,

	 -- GN33
	null            as obsOutrasInfCpl,  -- Informações adicionais ao documento

	 -- GN40
	null            as valorServicos,  -- Valor dos serviços em R$
	null            as valorDeducoes,  -- Valor das deduções para Redução da Base de Cálculo em R$
	null            as valorPis,  -- Valor da retenção do PIS em R$ Informação declaratória
	null            as valorCofins,  -- Valor da retenção do COFINS em R$ Informação declaratória
	null            as valorInss,  -- Valor da retenção do INSS em R$ Informação declaratória
	null            as valorIr,  -- Valor da retenção do IR em R$ Informação declaratória
	null            as valorCsll,  -- Valor da retenção do CSLL em R$ Informação declaratória
	null            as outrasRetencoes,  -- Outras retenções na Fonte. Informação declaratória

	 -- GN41
	null            as valorIss,  -- Valor do ISS devido em R$
	null            as aliquota,  -- Alíquota do serviço prestado
	null            as descIncondicionado,  -- Valor do desconto incondicionado
	null            as descCondicionado,  -- Valor do desconto condicionado
	null            as valorIssRetido,  -- Valor do ISS Retido
	null            as baseCalculo,  -- 
	null            as valorLiquidoNfse,  -- 

	 -- GN42
	null            as aliquotaPis,
	null            as aliquotaCofins,
	null            as aliquotaInss,
	null            as aliquotaIr,
	null            as aliquotaCsll,

	 -- GN43
	null            as deducaoPor,
	null            as tipoDeducao,
	null            as cpfCnpjReferencia,
	null            as numeroReferencia,
	null            as valorTotalReferencia,
	null            as percentualDeduzir,
	null            as valorDeduzir,

	 -- GN44
	null            as valorCargaTributaria,
	null            as percentualCargaTributaria,
	null            as fonteCargaTributaria,

	 -- GN50
	null            as condicao
	null            as qtdParcelas

	 -- GN51
	null            as parcela
	null            as dataVencimento
	null            as valor

	 -- GN60
	null            as cpfCnpjPrestador,  -- Número do CPF ou CNPJ do prestador do serviço
	null            as inscricaoMunicipalPrestador,  -- Número de inscrição municipal do prestador de serviço
	null            as razaoSocialPrestador,  -- Razão social do prestador
	null            as nomeFantasiaPrestador,  -- Nome fantasia do prestador
	null            as inscricaoEstadualPrestador,  -- Inscrição Estadual do prestador

	 -- GN61
	null            as enderecoPrestador,  -- Tipo e nome do logradouro do estabelecimento do prestador do serviço
	null            as numeroEnderecoPrestador,  -- Número do imóvel do estabelecimento do prestador do serviço
	null            as cplPrestador,  -- Complemento do endereço do estabelecimento do prestador do serviço
	null            as bairroPrestador,  -- Bairro do estabelecimento do prestador do serviço
	null            as tipoLogradouroPrestador,

	 -- GN62
	null            as codMunicipioPrestador,  -- Código do município do estabelecimento do prestador do serviço (Tabela do IBGE)
	null            as nomeMunicipioPrestador,  -- Nome do município do estabelecimento do prestador do serviço (Tabela do IBGE)
	null            as ufPrestador,  -- Sigla da unidade da federação do estabelecimento do prestador do serviço
	null            as cepPrestador,  -- Número do CEP do estabelecimento do prestador do serviço

	 -- GN63
	null            as dddPrestador,  -- DDD do Telefone do Prestador
	null            as telefonePrestador,  -- Telefone do Prestador
	null            as ramalPrestador,  -- Ramal do Telefone do Prestador
	null            as faxPrestador,  -- Fax do Prestador
	null            as emailPrestador,  -- Email do Prestador

	 -- GN64
	null            as codIbgeMunicipioPrestacao,  -- Código do município onde o serviço foi prestado (tabela do IBGE), se exterior colocar 9999999
	null            as nomeMunicipioPrestacao,  -- Nome do município onde o serviço foi prestado (tabela do IBGE)
	null            as codPaisPrestacao,  -- Código do país onde o serviço foi prestado (Tabela de país do IBGE). Preencher somente se MunicipioPrestacaoServico igual 9999999
	null            as ufPrestacao,  -- Sigla da unidade da federação onde o serviço foi prestado

	 -- GN65
	null            as tipoLogradouroPrestacao,  -- 
	null            as enderecoPrestacao,  -- 
	null            as numeroEnderecoPrestacao,  -- 
	null            as cplPrestacao,  -- 
	null            as tipoBairroPrestacao,  -- 
	null            as bairroPrestacao,  -- 
	null            as cepPrestacao,  -- 

	 -- GN70
	null            as cpfCnpjTomador,  -- Número do CPF ou CNPJ do tomador do serviço
	null            as inscricaoMunicipalTomador,  -- Número de inscrição municipal do tomador de serviço
	null            as razaoSocialTomador,  -- Nome / Razão Social do tomador
	null            as nomeFantasiaTomador,  -- Nome fantasia do tomador
	null            as inscricaoEstadualTomador,  -- Inscrição Estadual do tomador
	null            as docTomadorEstrangeiro,
	null            as tipoTomador,

	 -- GN71
	null            as tipoLogradouroTomador,
	null            as enderecoTomador,  -- Tipo e nome do logradouro do tomador do serviço
	null            as numeroTomador,  -- Número do imóvel do tomador do serviço
	null            as cplTomador,  -- Complemento do endereço do tomador do serviço
	null            as tipoBairroTomador,
	null            as bairroTomador,  -- Bairro do tomador do serviço

	 -- GN72
	null            as codMunicipioTomador,  -- Código do município do tomador do serviço (Tabela do IBGE)
	null            as nomeMunicipioTomador,  -- Nome do município do tomador do serviço
	null            as ufTomador,  -- Sigla da unidade da federação do tomador do serviço
	null            as cepTomador,  -- Número do CEP do tomador do serviço
	null            as codPaisTomador,
	null            as nomePaisTomador,

	 -- GN73
	null            as dddTomador,
	null            as telefoneTomador,  -- Telefone do tomador do serviço
	null            as ramalTomador,  -- Ramal do Tomador
	null            as faxTomador,  -- Fax do Tomador
	null            as emailTomador,  -- Email do tomador do serviço

	 -- GN74
	null            as cpfCnpjIntermediario,  -- Número do CPF ou CNPJ do intermediário do serviço
	null            as inscricaoIntermediario,  -- Inscrição Municipal do Intermediário do serviço
	null            as razaoSocialIntermediario,  -- Razão Social do Intermediário do serviço

	 -- GN80
	null            as codObra,  -- Código de Obra
	null            as art,  -- Código ART
	null            as tipoObra,  -- Tipo da Obra

	 -- GN100
	null            as caminhoLogoPdf,  -- Caminho da Logo do PDF
	null            as rodapeTextoLivre,  -- Texto Livre

	 -- GN101
	null            as numNFSe,  -- Número da NFSe
	null            as codVerificacao,  -- Código de Verificação
	null            as dataEmissaoNfse,  -- Data de Emissão da NFSe
	null            as dataCancelamento,  -- Data de Cancelamento
	null            as numNFSeSubstituida,  -- Número da NFSe Substituída

	 -- GN102
	null            as nomeCampo1,  -- Nome do Campo customizado 1
	null            as descricaoCampo1,  -- Descrição do Campo customizado 1
	null            as nomeCampo2,  -- Nome do Campo customizado 2
	null            as descricaoCampo2,  -- Descrição do Campo customizado 2
	null            as nomeCampo3,  -- Nome do Campo customizado 3
	null            as descricaoCampo3,  -- Descrição do Campo customizado 3
	null            as nomeCampo4,  -- Nome do Campo customizado 4
	null            as descricaoCampo4  -- Descrição do Campo customizado 4

from <tabela> tab
where <condition> 